Get Drill Through Report

get

/applications/{applicationName}/databases/{databaseName}/reports/{name}

Returns the specified drill through report from the specified application and database.

Request

Path Parameters
Back to Top

Response

200 Response

OK

The drill through report was retrieved successfully. Returns the links to get, edit, or delete the report.

400 Response

Bad Request

Failed to get the report. The application name, database name, or report name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to retrieve information about a named drill through report in the Essbase cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2" -H Accept:application/json -H Content-Type:application/octet-stream -u %User%:%Password%

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
  "name" : "drill2",
  "columns" : [ "DIMENSION_PRODUCT", "DIMENSION_MARKET", "DIMENSION_YEAR", "DIMENSION_SCENARIO", "SALES", "COGS", "MARKETING", "PAYROLL", "MISC", "INITIAL_INVENTORY", "ADDITIONS" ],
  "dataSourceName" : "phx_DS",
  "drillableRegions" : [ "@DESCENDANTS(\"Measures\")" ],
  "columnMapping" : {
    "DIMENSION_PRODUCT" : {
      "dimension" : "Product",
      "type" : "DIMENSION"
    },
    "DIMENSION_MARKET" : {
      "dimension" : "Market",
      "level" : "Level0",
      "type" : "LEVEL0"
    },
    "DIMENSION_YEAR" : {
      "dimension" : "Year",
      "generation" : "Quarter",
      "type" : "GENERATION",
      "generationNumber" : 2
    },
    "DIMENSION_SCENARIO" : {
      "dimension" : "Scenario",
      "generation" : "Gen1",
      "type" : "GENERATION",
      "generationNumber" : 1
    }
  },
  "parameterMapping" : {
    "Param1" : {
      "dimension" : "Year",
      "level" : "Level0",
      "type" : "LEVEL0"
    }
  },
  "type" : "DATASOURCE",
  "useTempTables" : false,
  "links" : [ {
    "rel" : "get",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2",
    "method" : "GET"
  }, {
    "rel" : "delete",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2",
    "method" : "DELETE"
  }, {
    "rel" : "edit",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill2",
    "method" : "PUT"
  } ]
}
Back to Top